MagickCore: cache-view.c File Reference

# cache-view.c File Reference

`#include "magick/studio.h"`
`#include "magick/cache.h"`
`#include "magick/cache-private.h"`
`#include "magick/cache-view.h"`
`#include "magick/memory_.h"`
`#include "magick/exception.h"`
`#include "magick/exception-private.h"`
`#include "magick/string_.h"`

## Data Structures
struct | _CacheView
## Functions
MagickExport const IndexPacket * | AcquireCacheViewIndexes (const CacheView *view_info)
MagickExport const PixelPacket * | AcquireCacheViewPixels (const CacheView *view_info, const long x, const long y, const unsigned long columns, const unsigned long rows, ExceptionInfo *exception)
MagickExport PixelPacket | AcquireOneCacheViewPixel (const CacheView *view_info, const long x, const long y, ExceptionInfo *exception)
MagickExport CacheView * | CloneCacheView (const CacheView *view_info)
MagickExport CacheView * | CloseCacheView (CacheView *view_info)
MagickExport ColorspaceType | GetCacheViewColorspace (const CacheView *view_info)
MagickExport ExceptionInfo * | GetCacheViewException (const CacheView *view_info)
MagickExport IndexPacket * | GetCacheViewIndexes (const CacheView *view_info)
MagickExport PixelPacket * | GetCacheViewPixels (CacheView *view_info, const long x, const long y, const unsigned long columns, const unsigned long rows)
MagickExport ClassType | GetCacheViewStorageClass (const CacheView *view_info)
MagickExport PixelPacket | GetOneCacheViewPixel (const CacheView *view_info, const long x, const long y)
MagickExport CacheView * | OpenCacheView (const Image *image)
MagickExport PixelPacket * | SetCacheView (CacheView *view_info, const long x, const long y, const unsigned long columns, const unsigned long rows)
MagickExport MagickBooleanType | SetCacheViewStorageClass (CacheView *view_info, const ClassType storage_class)
MagickExport MagickBooleanType | SetCacheViewVirtualPixelMethod (CacheView *view_info, const VirtualPixelMethod virtual_pixel_method)
MagickExport MagickBooleanType | SyncCacheView (CacheView *view_info)

## Function Documentation

MagickExport const IndexPacket* AcquireCacheViewIndexes | ( | const CacheView * | view_info | ) |

MagickExport const PixelPacket* AcquireCacheViewPixels | ( | const CacheView * | view_info,
|  | const long | x,
|  | const long | y,
|  | const unsigned long | columns,
|  | const unsigned long | rows,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport PixelPacket AcquireOneCacheViewPixel | ( | const CacheView * | view_info,
|  | const long | x,
|  | const long | y,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport CacheView* CloneCacheView | ( | const CacheView * | view_info | ) |

MagickExport CacheView* CloseCacheView | ( | CacheView * | view_info | ) |

MagickExport ColorspaceType GetCacheViewColorspace | ( | const CacheView * | view_info | ) |

MagickExport ExceptionInfo* GetCacheViewException | ( | const CacheView * | view_info | ) |

MagickExport IndexPacket* GetCacheViewIndexes | ( | const CacheView * | view_info | ) |

MagickExport PixelPacket* GetCacheViewPixels | ( | CacheView * | view_info,
|  | const long | x,
|  | const long | y,
|  | const unsigned long | columns,
|  | const unsigned long | rows |
| ) |  |  |

MagickExport ClassType GetCacheViewStorageClass | ( | const CacheView * | view_info | ) |

MagickExport PixelPacket GetOneCacheViewPixel | ( | const CacheView * | view_info,
|  | const long | x,
|  | const long | y |
| ) |  |  |

MagickExport CacheView* OpenCacheView | ( | const Image * | image | ) |

MagickExport PixelPacket* SetCacheView | ( | CacheView * | view_info,
|  | const long | x,
|  | const long | y,
|  | const unsigned long | columns,
|  | const unsigned long | rows |
| ) |  |  |

MagickExport MagickBooleanType SetCacheViewStorageClass | ( | CacheView * | view_info,
|  | const ClassType | storage_class |
| ) |  |  |

MagickExport MagickBooleanType SetCacheViewVirtualPixelMethod | ( | CacheView * | view_info,
|  | const VirtualPixelMethod | virtual_pixel_method |
| ) |  |  |

MagickExport MagickBooleanType SyncCacheView | ( | CacheView * | view_info | ) |